summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Gilbert <floppym@gentoo.org>2015-12-11 17:26:44 -0500
committerMike Gilbert <floppym@gentoo.org>2015-12-11 17:26:44 -0500
commitd296b5daa59eae73fa3cb0995547d0336697fedd (patch)
tree0ccc2a7ecc0c8e67b1520430c2bc51bab3414e23 /eclass
parentwww-client/google-chrome-beta: automated update (diff)
downloadgentoo-d296b5daa59eae73fa3cb0995547d0336697fedd.tar.gz
gentoo-d296b5daa59eae73fa3cb0995547d0336697fedd.tar.bz2
gentoo-d296b5daa59eae73fa3cb0995547d0336697fedd.zip
Revert "python*-r1.eclass: Replace non-portable use of 'declare -g'"
This reverts commit 44d3345d828af162b2fbfd623dd8f0d7ac4ae2f9. This was triggering "No supported implementation in PYTHON_COMPAT.".
Diffstat (limited to 'eclass')
-rw-r--r--eclass/python-any-r1.eclass2
-rw-r--r--eclass/python-r1.eclass4
-rw-r--r--eclass/python-single-r1.eclass2
-rw-r--r--eclass/python-utils-r1.eclass2
4 files changed, 5 insertions, 5 deletions
diff --git a/eclass/python-any-r1.eclass b/eclass/python-any-r1.eclass
index 846c0da95898..82ead76edf18 100644
--- a/eclass/python-any-r1.eclass
+++ b/eclass/python-any-r1.eclass
@@ -133,7 +133,7 @@ _python_any_set_globals() {
PYTHON_DEPS="${PYTHON_PKG_DEP} ${PYTHON_DEPS}"
done
- readonly PYTHON_DEPS="|| ( ${PYTHON_DEPS})"
+ declare -g -r PYTHON_DEPS="|| ( ${PYTHON_DEPS})"
}
_python_any_set_globals
unset -f _python_any_set_globals
diff --git a/eclass/python-r1.eclass b/eclass/python-r1.eclass
index 5c1f1b3694e0..4b9c6f36e55d 100644
--- a/eclass/python-r1.eclass
+++ b/eclass/python-r1.eclass
@@ -216,8 +216,8 @@ _python_set_globals() {
optflags+=,${flags_st[@]/%/(-)}
IUSE=${flags[*]}
- readonly PYTHON_REQUIRED_USE="|| ( ${flags[*]} )"
- readonly PYTHON_USEDEP=${optflags// /,}
+ declare -g -r PYTHON_REQUIRED_USE="|| ( ${flags[*]} )"
+ declare -g -r PYTHON_USEDEP=${optflags// /,}
# 1) well, python-exec would suffice as an RDEP
# but no point in making this overcomplex, BDEP doesn't hurt anyone
diff --git a/eclass/python-single-r1.eclass b/eclass/python-single-r1.eclass
index 3c33f3731d53..158229503f99 100644
--- a/eclass/python-single-r1.eclass
+++ b/eclass/python-single-r1.eclass
@@ -238,7 +238,7 @@ _python_single_set_globals() {
PYTHON_DEPS+="python_single_target_${i}? ( ${PYTHON_PKG_DEP} ) "
done
fi
- readonly PYTHON_USEDEP=${optflags// /,}
+ declare -g -r PYTHON_USEDEP=${optflags// /,}
# 1) well, python-exec would suffice as an RDEP
# but no point in making this overcomplex, BDEP doesn't hurt anyone
diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index 42c33eb985d5..cf0e13496245 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -40,7 +40,7 @@ inherit toolchain-funcs
# @INTERNAL
# @DESCRIPTION:
# All supported Python implementations, most preferred last.
-readonly _PYTHON_ALL_IMPLS=(
+declare -g -r _PYTHON_ALL_IMPLS=(
python2_7
python3_3 python3_4 python3_5
pypy pypy3